package javax.script;

import java.util.List;

public interface ScriptEngineFactory
{
    public abstract String getEngineName();
    
    public abstract String getEngineVersion();
    
    public abstract List<String> getExtensions();
    
    public abstract List<String> getMimeTypes();
    
    public abstract List<String> getNames();
    
    public abstract String getLanguageName();
    
    public abstract String getLanguageVersion();
    
    public abstract Object getParameter(String p0);
    
    public abstract String getMethodCallSyntax(String p0, String p1, String... p2);
    
    public abstract String getOutputStatement(String p0);
    
    public abstract String getProgram(String... p0);
    
    public abstract ScriptEngine getScriptEngine();
}
